#StackBounty: #linux-mint #drivers #nvidia #proprietary-drivers #compatibility Nvidia drivers won't work on linux mint

Bounty: 50

My nvidia drivers won’t work. They worked just fine before my last update. I have been trying to get them to work again but with no success.

if I run:

nvidia-settings

I get this error:

ERROR: NVIDIA driver is not loaded

if I run:

nvidia-smi

I get this error:

NVIDIA-SMI has failed because it couldn't communicate with the NVIDIA driver. Make sure that the latest NVIDIA driver is installed and running.

I tried to install the default drivers using: sudo ubuntu-drivers autoinstall, which installs the 390 version. However i read somewhere that this driver isn’t compatible with the more up to date linux kernel.

Then i tried installing the ppa and a more updated nvidia driver (after purging the old nvidia packages)

sudo apt-get remove --purge '^nvidia-.*'
sudo add-apt-repository ppa:graphics-drivers/ppa
sudo apt-get install nvidia-driver-430

But this won’t work as well. I actually read that this drivers don’t support my graphics card. Is there anything i can do to get my card working again?

My card is a GeForce GT 635M and am using Linux Mint Ulyssa


Get this bounty!!!

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.